at.chipkarte.client.rez.soap

## Class Arzneimittel

- Object
- - at.chipkarte.client.rez.soap.Arzneimittel

-     public class Arzneimittel
      extends Object

  Daten zu einem Arzneimittel aus der ASP-Liste. Rückgabe der Funktion `medikamentenSuche()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Arzneimittel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArzneimittelEkodaten` | `getEkodaten()` Ekodaten des Arzneimittels.
    `String` | `getHandelsname()` Handelsname des Arzneimittels laut ASP Liste.
    `String` | `getPackungseinheit()` Code der Packungseinheit des Arzneimittels laut ASP Liste.
    `String` | `getPackungsgroesse()` Größe der Packung des Arzneimittels laut ASP Liste.
    `String` | `getPzn()` Pharmazentralnummer eines Arzneimittels.
    `boolean` | `getWechselwirkungsrelevant()` Gibt an, ob das Arzneimittel wechselwirkungsrelevant ist.
    `Code[]` | `getWirkstoffList()` Enthaltene Wirkstoffe laut ASP-Liste.
    `String` | `getZulassungsname()` Zulassungsname des Arzneimittels laut ASP Liste.
    `String` | `getZulassungsnummer()` Zulassungsnummer des Arzneimittels laut ASP Liste.
    `void` | `setEkodaten(ArzneimittelEkodaten ekodaten)`
    `void` | `setHandelsname(String handelsname)`
    `void` | `setPackungseinheit(String packungseinheit)`
    `void` | `setPackungsgroesse(String packungsgroesse)`
    `void` | `setPzn(String pzn)`
    `void` | `setWechselwirkungsrelevant(boolean wechselwirkungsrelevant)`
    `void` | `setWirkstoffList(Code[] wirkstoffList)`
    `void` | `setZulassungsname(String zulassungsname)`
    `void` | `setZulassungsnummer(String zulassungsnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Arzneimittel

          public Arzneimittel()

  - ### Method Detail

    - #### getHandelsname

          public String getHandelsname()

      Handelsname des Arzneimittels laut ASP Liste.
      Format: maximal 255-Zeichen.
      Angabe: Muss.
      Returns:
        Handelsname des Arzneimittels.

    - #### setHandelsname

          public void setHandelsname(String handelsname)

    - #### getZulassungsname

          public String getZulassungsname()

      Zulassungsname des Arzneimittels laut ASP Liste.
      Format: maximal 255-Zeichen.
      Angabe: Muss.
      Returns:
        Zulassungsname des Arzneimittels.

    - #### setZulassungsname

          public void setZulassungsname(String zulassungsname)

    - #### getPzn

          public String getPzn()

      Pharmazentralnummer eines Arzneimittels.
      Format: 8-stellig
      Angabe: Muss.
      Returns:
        PZN eines Arzneimittels.

    - #### setPzn

          public void setPzn(String pzn)

    - #### getZulassungsnummer

          public String getZulassungsnummer()

      Zulassungsnummer des Arzneimittels laut ASP Liste.
      Format: maximal 255-Zeichen.
      Angabe: Muss.
      Returns:

    - #### setZulassungsnummer

          public void setZulassungsnummer(String zulassungsnummer)

    - #### getPackungsgroesse

          public String getPackungsgroesse()

      Größe der Packung des Arzneimittels laut ASP Liste.
      Format: Positiv, numerisch, ganzzahlig oder Komma-Zahlen.
      Angabe: Muss.
      Returns:

    - #### setPackungsgroesse

          public void setPackungsgroesse(String packungsgroesse)

    - #### getPackungseinheit

          public String getPackungseinheit()

      Code der Packungseinheit des Arzneimittels laut ASP Liste.
      Format: maximal 255-Zeichen.
      Angabe: Muss.
      Returns:

    - #### setPackungseinheit

          public void setPackungseinheit(String packungseinheit)

    - #### getWechselwirkungsrelevant

          public boolean getWechselwirkungsrelevant()

      Gibt an, ob das Arzneimittel wechselwirkungsrelevant ist.
      Angabe: Muss.
      Returns:
        wechselwirkungsrelevant.

    - #### setWechselwirkungsrelevant

          public void setWechselwirkungsrelevant(boolean wechselwirkungsrelevant)

    - #### getEkodaten

          public ArzneimittelEkodaten getEkodaten()

      Ekodaten des Arzneimittels. Siehe `ArzneimittelEkodaten`.
      Nur versorgt wenn zur PZN aus der ASP Liste auch ein Eintrag in den aktuellen IEKO Daten vorhanden ist.
      Angabe: Kann.
      Returns:

    - #### setEkodaten

          public void setEkodaten(ArzneimittelEkodaten ekodaten)

    - #### getWirkstoffList

          public Code[] getWirkstoffList()

      Enthaltene Wirkstoffe laut ASP-Liste. Siehe `Code`.
      Angabe: Muss.
      Returns:

    - #### setWirkstoffList

          public void setWirkstoffList(Code[] wirkstoffList)